[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#261082: marked as done (glibc: Please add the '-fno-unit-at-a-time' patch from upstream for amd64/gcc-3.4 support)



Your message dated Sat, 31 Jul 2004 15:47:34 -0400
with message-id <E1BqzpO-0001Ns-00@newraff.debian.org>
and subject line Bug#261082: fixed in glibc 2.3.2.ds1-14
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 23 Jul 2004 15:03:41 +0000
>From aj@andaco.de Fri Jul 23 08:03:40 2004
Return-path: <aj@andaco.de>
Received: from c173179.adsl.hansenet.de (localhost) [213.39.173.179] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1Bo1aF-00070r-00; Fri, 23 Jul 2004 08:03:40 -0700
Received: from aj by localhost with local (Exim 4.34)
	id 1Bo1aE-0006TF-A7; Fri, 23 Jul 2004 17:03:38 +0200
To: Debian Bug Tracking System <submit@bugs.debian.org>
From: Andreas Jochens <aj@andaco.de>
Subject: glibc: Please add the '-fno-unit-at-a-time' patch from upstream for amd64/gcc-3.4 support
Message-Id: <[🔎] E1Bo1aE-0006TF-A7@localhost>
Date: Fri, 23 Jul 2004 17:03:38 +0200
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25
X-Spam-Level: 

Package: glibc
Severity: wishlist
Tags: patch

To compile glibc on amd64 (and other architectures) with gcc-3.4,
the '-fno-unit-at-a-time' patch from upstream is necessary.

Without this patch, the gcc-3.4 compiler reorders some assembly code and
the resulting pthread libraries will segfault.

The attached patch adds a new patch file 'debian/patches/fno-unit-at-a-time'
and enables that patch by adding it to 'debian/patches/00list'.

This 'fno-unit-at-a-time' patch (which was taken from upstream cvs) adds a 
test for the '-fno-unit-at-a-time' compiler switch to 'configure.in' 
and 'configure', 
puts a corresponding variable definition to 'config.make.in' and 
inserts the '$(fno-unit-at-a-time)' variable in various Makefiles.

Additionally, the attached patch adds

nptl_extra_cflags = -g0 -O3 -fomit-frame-pointer -D__USE_STRING_INLINES

to 'debian/sysdeps/amd64.mk' which uses '-g0' instead of the default '-g1'.
This is also necessary to compile glibc with gcc-3.4.

The attached patch also contains all other amd64 changes (see #246547).

Thank you for your help with the amd64 port.

Regards
Andreas Jochens

diff -urN ../tmp-orig/glibc-2.3.2.ds1/debian/sysdeps/amd64.mk ./debian/sysdeps/amd64.mk
--- ../tmp-orig/glibc-2.3.2.ds1/debian/sysdeps/amd64.mk	1970-01-01 01:00:00.000000000 +0100
+++ ./debian/sysdeps/amd64.mk	2004-07-22 10:21:31.061906360 +0200
@@ -0,0 +1,5 @@
+CC = gcc
+BUILD_CC = gcc
+
+GLIBC_PASSES += nptl
+nptl_extra_cflags = -g0 -O3 -fomit-frame-pointer -D__USE_STRING_INLINES
diff -urN ../tmp-orig/glibc-2.3.2.ds1/debian/patches/fno-unit-at-a-time.dpatch ./debian/patches/fno-unit-at-a-time.dpatch
--- ../tmp-orig/glibc-2.3.2.ds1/debian/patches/fno-unit-at-a-time.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ ./debian/patches/fno-unit-at-a-time.dpatch	2004-07-22 10:49:43.180807987 +0200
@@ -0,0 +1,178 @@
+#! /bin/sh -e
+ 
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Add -fno-unit-at-a-time test to configure.in and configure.
+# DP: Add fno-unit-at-a-time variable to config.make.in.
+# DP: Add $(fno-unit-at-a-time) switch in various Makefiles.
+# DP: This is necessary for compilation with gcc-3.4.
+# DP: Upstream status: in CVS
+# DP: Upstream author: Andreas Jaeger <aj@suse.de>
+# DP: Upstream date: 2003-11-30
+# DP: Dpatch author: Andreas Jochens <aj@andaco.de>
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p1 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p1 < $0;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+ 
+# append the patch here and adjust the -p? flag in the patch calls.
+
+--- Makefile	2004-07-21 22:17:08.167157000 +0200
++++ glibc-2.3.2/linuxthreads/Makefile	2004-07-21 23:04:39.736064667 +0200
+@@ -101,7 +101,7 @@
+ extra-objs += $(crti-objs) $(crtn-objs)
+ omit-deps += crti crtn
+ 
+-CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions
++CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions $(fno-unit-at-a-time)
+ endif
+ 
+ librt-tests = ex10 ex11
+--- glibc-2.3.2/linuxthreads/sysdeps/unix/sysv/linux/x86_64/Makefile~	2004-07-21 22:03:55.843191000 +0200
++++ glibc-2.3.2/linuxthreads/sysdeps/unix/sysv/linux/x86_64/Makefile	2004-07-21 22:05:18.269274082 +0200
+@@ -1,3 +1,3 @@
+ ifeq ($(subdir),linuxthreads)
+-CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions -fno-asynchronous-unwind-tables
++CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions -fno-asynchronous-unwind-tables $(fno-unit-at-a-time)
+ endif
+--- Makefile	2003-09-21 07:30:09.000000000 +0200
++++ glibc-2.3.2/nptl/Makefile	2004-07-21 23:38:51.624443351 +0200
+@@ -309,7 +309,7 @@
+ extra-objs += $(crti-objs) $(crtn-objs)
+ omit-deps += crti crtn
+ 
+-CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions
++CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions $(fno-unit-at-atime)
+ endif
+ 
+ CFLAGS-flockfile.c = -D_IO_MTSAFE_IO
+--- Makefile	2003-05-09 09:24:22.000000000 +0200
++++ glibc-2.3.2/nptl/sysdeps/unix/sysv/linux/x86_64/Makefile	2004-07-21 23:40:06.419980881 +0200
+@@ -1,3 +1,3 @@
+ ifeq ($(subdir),nptl)
+-CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions -fno-asynchronous-unwind-tables
++CFLAGS-pt-initfini.s = -g0 -fPIC -fno-inline-functions -fno-asynchronous-unwind-tables $(fno-unit-at-a-time)
+ endif
+--- Makefile	2004-07-22 10:22:11.690023000 +0200
++++ glibc-2.3.2/csu/Makefile	2004-07-22 10:31:28.230050290 +0200
+@@ -104,7 +104,7 @@
+ $(crtstuff:%=$(objpfx)%.o): %.o: %.S $(objpfx)defs.h
+ 	$(compile.S) -g0 $(ASFLAGS-.os) -o $@
+ 
+-CFLAGS-initfini.s = -g0 -fPIC -fno-inline-functions
++CFLAGS-initfini.s = -g0 -fPIC -fno-inline-functions $(fno-unit-at-a-time)
+ 
+ vpath initfini.c $(full_config_sysdirs)
+ 
+--- Makefile	2004-07-22 10:22:13.370696000 +0200
++++ glibc-2.3.2/stdio-common/Makefile	2004-07-22 10:32:55.241172119 +0200
+@@ -87,6 +87,8 @@
+ CFLAGS-psignal.c = -fexceptions
+ CFLAGS-vprintf.c = -fexceptions
+ CFLAGS-cuserid.c = -fexceptions
++CFLAGS-errlist.c = $(fno-unit-at-a-time)
++CFLAGS-siglist.c = $(fno-unit-at-a-time)
+ 
+ tst-sscanf-ENV = LOCPATH=$(common-objpfx)localedata
+ tst-swprintf-ENV = LOCPATH=$(common-objpfx)localedata
+--- glibc-2.3.2/configure.in~	2004-07-22 01:10:27.374476000 +0200
++++ glibc-2.3.2/configure.in	2004-07-22 01:14:23.598761806 +0200
+@@ -1371,6 +1371,23 @@
+ fi
+ AC_SUBST(libc_cv_z_combreloc)
+ 
++AC_CACHE_CHECK(for -fno-unit-at-a-time, libc_cv_fno_unit_at_a_time, [dnl
++cat > conftest.c <<EOF
++int foo;
++EOF
++if AC_TRY_COMMAND([${CC-cc} $CFLAGS $CPPFLAGS -S -fno-unit-at-a-time
++			    conftest.c 1>&AS_MESSAGE_LOG_FD])
++then
++  libc_cv_fno_unit_at_a_time=yes
++else
++  libc_cv_fno_unit_at_a_time=no
++fi
++rm -f conftest*])
++if test $libc_cv_fno_unit_at_a_time = yes; then
++  fno_unit_at_a_time=-fno-unit-at-a-time
++fi
++AC_SUBST(fno_unit_at_a_time)
++
+ if test $elf != yes; then
+   AC_CACHE_CHECK(for .init and .fini sections, libc_cv_have_initfini,
+ 		 [AC_TRY_COMPILE(, [asm (".section .init");
+--- glibc-2.3.2/configure~	2004-07-22 01:10:27.373476000 +0200
++++ glibc-2.3.2/configure	2004-07-22 01:17:19.369752123 +0200
+@@ -309,7 +309,7 @@
+ # include <unistd.h>
+ #endif"
+ 
+-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS with_fp with_cvs enable_check_abi oldest_abi subdirs force_install all_warnings build build_cpu build_vendor build_os host host_cpu host_vendor host_os base_machine sysnames INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC OBJEXT BUILD_CC cross_compiling CPP CXX CXXFLAGS ac_ct_CXX AR OBJDUMP RANLIB ac_ct_RANLIB MIG AS LD PWD_P MAKE MSGFMT MAKEINFO SED AUTOCONF CCVERSION SYSINCLUDES libc_cv_gcc_static_libgcc BASH libc_cv_have_bash2 KSH libc_cv_have_ksh AWK PERL INSTALL_INFO OLD_DEBIAN_INSTALL_INFO BISON VERSIONING libc_cv_asm_protected_directive libc_cv_initfinit_array libc_cv_z_nodelete libc_cv_z_nodl
 open libc_cv_z_initfirst libc_cv_Bgroup ASFLAGS_config libc_cv_z_combreloc libc_cv_have_initfini libc_cv_cpp_asm_debuginfo no_whole_archive exceptions LIBGD EGREP sizeof_long_double libc_cv_gcc_unwind_find_fde uname_sysname uname_release uname_version old_glibc_headers libc_cv_slibdir libc_cv_localedir libc_cv_sysconfdir libc_cv_rootsbindir libc_cv_forced_unwind use_ldconfig ldd_rewrite_script gnu_ld gnu_as elf xcoff static shared pic_default profile omitfp bounded static_nss nopic_initfini DEFINES linux_doors mach_interface_list VERSION RELEASE LIBOBJS LTLIBOBJS'
++ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS with_fp with_cvs enable_check_abi oldest_abi subdirs force_install all_warnings build build_cpu build_vendor build_os host host_cpu host_vendor host_os base_machine sysnames INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC OBJEXT BUILD_CC cross_compiling CPP CXX CXXFLAGS ac_ct_CXX AR OBJDUMP RANLIB ac_ct_RANLIB MIG AS LD PWD_P MAKE MSGFMT MAKEINFO SED AUTOCONF CCVERSION SYSINCLUDES libc_cv_gcc_static_libgcc BASH libc_cv_have_bash2 KSH libc_cv_have_ksh AWK PERL INSTALL_INFO OLD_DEBIAN_INSTALL_INFO BISON VERSIONING libc_cv_asm_protected_directive libc_cv_initfinit_array libc_cv_z_nodelete libc_cv_z_nodl
 open libc_cv_z_initfirst libc_cv_Bgroup ASFLAGS_config libc_cv_z_combreloc fno_unit_at_a_time libc_cv_have_initfini libc_cv_cpp_asm_debuginfo no_whole_archive exceptions LIBGD EGREP sizeof_long_double libc_cv_gcc_unwind_find_fde uname_sysname uname_release uname_version old_glibc_headers libc_cv_slibdir libc_cv_localedir libc_cv_sysconfdir libc_cv_rootsbindir libc_cv_forced_unwind use_ldconfig ldd_rewrite_script gnu_ld gnu_as elf xcoff static shared pic_default profile omitfp bounded static_nss nopic_initfini DEFINES linux_doors mach_interface_list VERSION RELEASE LIBOBJS LTLIBOBJS'
+ ac_subst_files=''
+ 
+ # Initialize some variables set by options.
+@@ -5306,6 +5306,37 @@
+ fi
+ 
+ 
++ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS with_fp with_cvs enable_check_abi oldest_abi bindnow force_install all_warnings build build_cpu build_vendor build_os host host_cpu host_vendor host_os subdirs add_ons base_machine sysnames INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC OBJEXT BUILD_CC cross_compiling CPP CXX CXXFLAGS ac_ct_CXX AR OBJDUMP RANLIB ac_ct_RANLIB MIG AS LD PWD_P MAKE MSGFMT MAKEINFO SED AUTOCONF SYSINCLUDES libc_cv_gcc_static_libgcc BASH libc_cv_have_bash2 KSH libc_cv_have_ksh AWK PERL INSTALL_INFO BISON VERSIONING libc_cv_asm_protected_directive libc_cv_initfinit_array libc_cv_cc_with_libunwind libc_cv_z_nodelete libc_c
 v_z_nodlopen libc_cv_z_initfirst libc_cv_z_relro libc_cv_Bgroup libc_cv_libgcc_s_suffix libc_cv_as_needed ASFLAGS_config libc_cv_z_combreloc libc_cv_z_execstack libc_cv_fpie fno_unit_at_a_time libc_cv_have_initfini libc_cv_cpp_asm_debuginfo no_whole_archive exceptions LIBGD EGREP sizeof_long_double libc_cv_gcc_unwind_find_fde uname_sysname uname_release uname_version old_glibc_headers libc_cv_slibdir libc_cv_localedir libc_cv_sysconfdir libc_cv_rootsbindir libc_cv_forced_unwind use_ldconfig ldd_rewrite_script gnu_ld gnu_as elf xcoff static shared pic_default profile omitfp bounded static_nss nopic_initfini DEFINES linux_doors mach_interface_list VERSION RELEASE LIBOBJS LTLIBOBJS'
++ac_subst_files=''
++
++echo "$as_me:$LINENO: checking for -fno-unit-at-a-time" >&5
++echo $ECHO_N "checking for -fno-unit-at-a-time... $ECHO_C" >&6
++if test "${libc_cv_fno_unit_at_a_time+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  cat > conftest.c <<EOF
++int foo;
++EOF
++if { ac_try='${CC-cc} $CFLAGS $CPPFLAGS -S -fno-unit-at-a-time
++			    conftest.c 1>&5'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }
++then
++  libc_cv_fno_unit_at_a_time=yes
++else
++  libc_cv_fno_unit_at_a_time=no
++fi
++rm -f conftest*
++fi
++echo "$as_me:$LINENO: result: $libc_cv_fno_unit_at_a_time" >&5
++echo "${ECHO_T}$libc_cv_fno_unit_at_a_time" >&6
++if test $libc_cv_fno_unit_at_a_time = yes; then
++  fno_unit_at_a_time=-fno-unit-at-a-time
++fi
++
+ if test $elf != yes; then
+   echo "$as_me:$LINENO: checking for .init and .fini sections" >&5
+ echo $ECHO_N "checking for .init and .fini sections... $ECHO_C" >&6
+@@ -7580,6 +7611,7 @@
+ s,@libc_cv_Bgroup@,$libc_cv_Bgroup,;t t
+ s,@ASFLAGS_config@,$ASFLAGS_config,;t t
+ s,@libc_cv_z_combreloc@,$libc_cv_z_combreloc,;t t
++s,@fno_unit_at_a_time@,$fno_unit_at_a_time,;t t
+ s,@libc_cv_have_initfini@,$libc_cv_have_initfini,;t t
+ s,@libc_cv_cpp_asm_debuginfo@,$libc_cv_cpp_asm_debuginfo,;t t
+ s,@no_whole_archive@,$no_whole_archive,;t t
+--- config.make.in	2004-07-22 02:04:56.000000000 +0200
++++ glibc-2.3.2/config.make.in	2004-07-22 09:14:36.462666782 +0200
+@@ -53,6 +53,7 @@
+ have-cpp-asm-debuginfo = @libc_cv_cpp_asm_debuginfo@
+ enable-check-abi = @enable_check_abi@
+ have-forced-unwind = @libc_cv_forced_unwind@
++fno-unit-at-a-time = @fno_unit_at_a_time@
+ 
+ static-libgcc = @libc_cv_gcc_static_libgcc@
+ 
diff -urN ../tmp-orig/glibc-2.3.2.ds1/debian/rules.d/control.mk ./debian/rules.d/control.mk
--- ../tmp-orig/glibc-2.3.2.ds1/debian/rules.d/control.mk	2004-07-22 10:49:48.630751893 +0200
+++ ./debian/rules.d/control.mk	2004-07-22 10:21:31.060906554 +0200
@@ -1,10 +1,10 @@
 control_deps := $(addprefix debian/control.in/, libc6 libc6.1 libc0.3 libc1 sparc64 s390x opt)
 
-threads_archs := alpha arm i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb freebsd-i386
+threads_archs := alpha amd64 arm i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb freebsd-i386
 
 debian/control.in/libc6: debian/control.in/libc debian/rules.d/control.mk
 	sed -e 's%@libc@%libc6%g' \
-	    -e 's%@archs@%arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb%g' < $< > $@
+	    -e 's%@archs@%amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb%g' < $< > $@
 
 debian/control.in/libc6.1: debian/control.in/libc debian/rules.d/control.mk
 	sed -e 's%@libc@%libc6.1%g;s%@archs@%alpha ia64%g' < $< > $@
diff -urN ../tmp-orig/glibc-2.3.2.ds1/debian/control ./debian/control
--- ../tmp-orig/glibc-2.3.2.ds1/debian/control	2004-07-22 10:49:48.637750537 +0200
+++ ./debian/control	2004-07-22 10:21:31.058906942 +0200
@@ -38,7 +38,7 @@
  by default. This created a package that unpacked to an excess of 30 megs.
 
 Package: nscd
-Architecture: alpha arm i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb freebsd-i386
+Architecture: alpha amd64 arm i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb freebsd-i386
 Section: admin
 Priority: optional
 Depends: libc6 (>= ${Source-Version})
@@ -50,7 +50,7 @@
  slow Services like LDAP, NIS or NIS+
 
 Package: libc6
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: base
 Priority: required
 Provides: ${locale:Depends}
@@ -61,7 +61,7 @@
  Timezone data is also included.
 
 Package: libc6-dev
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: standard
 Depends: libc6 (= ${Source-Version})
@@ -71,7 +71,7 @@
  and link programs which use the standard C library.
 
 Package: libc6-dbg
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: extra
 Depends: libc6 (= ${Source-Version})
@@ -84,7 +84,7 @@
  Most people will not need this package.
 
 Package: libc6-prof
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: extra
 Depends: libc6 (= ${Source-Version})
@@ -93,7 +93,7 @@
  with gprof.
 
 Package: libc6-pic
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: optional
 Conflicts: libc-pic
@@ -108,7 +108,7 @@
 
 Package: libc6-udeb
 XC-Package-Type: udeb
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: debian-installer
 Priority: extra
 Provides: libc6, libc-udeb, ${locale:Depends}
diff -urN ../tmp-orig/glibc-2.3.2.ds1/debian/control.in/libc6 ./debian/control.in/libc6
--- ../tmp-orig/glibc-2.3.2.ds1/debian/control.in/libc6	2004-07-22 10:49:48.293817184 +0200
+++ ./debian/control.in/libc6	2004-07-22 10:21:31.059906748 +0200
@@ -1,5 +1,5 @@
 Package: libc6
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: base
 Priority: required
 Provides: ${locale:Depends}
@@ -10,7 +10,7 @@
  Timezone data is also included.
 
 Package: libc6-dev
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: standard
 Depends: libc6 (= ${Source-Version})
@@ -20,7 +20,7 @@
  and link programs which use the standard C library.
 
 Package: libc6-dbg
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: extra
 Depends: libc6 (= ${Source-Version})
@@ -33,7 +33,7 @@
  Most people will not need this package.
 
 Package: libc6-prof
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: extra
 Depends: libc6 (= ${Source-Version})
@@ -42,7 +42,7 @@
  with gprof.
 
 Package: libc6-pic
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: libdevel
 Priority: optional
 Conflicts: libc-pic
@@ -57,7 +57,7 @@
 
 Package: libc6-udeb
 XC-Package-Type: udeb
-Architecture: arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
+Architecture: amd64 arm i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
 Section: debian-installer
 Priority: extra
 Provides: libc6, libc-udeb, ${locale:Depends}
diff -urN ../tmp-orig/glibc-2.3.2.ds1/debian/patches/00list ./debian/patches/00list
--- ../tmp-orig/glibc-2.3.2.ds1/debian/patches/00list	2004-07-22 10:49:48.319812147 +0200
+++ ./debian/patches/00list	2004-07-22 10:21:31.059906748 +0200
@@ -95,3 +95,6 @@
 locale-ro_RO
 s390-backtrace
 glibc232-misc-syslog
+amd64-lib
+fno-unit-at-a-time
+
diff -urN ../tmp-orig/glibc-2.3.2.ds1/debian/patches/amd64-lib.dpatch ./debian/patches/amd64-lib.dpatch
--- ../tmp-orig/glibc-2.3.2.ds1/debian/patches/amd64-lib.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ ./debian/patches/amd64-lib.dpatch	2004-07-22 10:21:31.059906748 +0200
@@ -0,0 +1,41 @@
+#! /bin/sh -e
+ 
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Use /lib instead of /lib64 for the native amd64 port
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p1 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p1 < $0;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+ 
+# append the patch here and adjust the -p? flag in the patch calls.
+--- glibc-2.3.2/sysdeps/unix/sysv/linux/configure~	2004-06-05 14:03:22.118247000 +0200
++++ glibc-2.3.2/sysdeps/unix/sysv/linux/configure	2004-06-05 11:43:35.667961319 +0200
+@@ -224,7 +224,7 @@
+ /usr | /usr/)
+   # 64-bit libraries on bi-arch platforms go in /lib64 instead of /lib
+   case $machine in
+-  sparc/sparc64 | x86_64 | powerpc/powerpc64 | s390/s390-64 | \
++  sparc/sparc64 | powerpc/powerpc64 | s390/s390-64 | \
+   mips/mips64/n64/* )
+     libc_cv_slibdir="/lib64"
+     if test "$libdir" = '${exec_prefix}/lib'; then
+--- glibc-2.3.2/sysdeps/unix/sysv/linux/configure.in~	2004-07-05 09:52:28.000000000 +0200
++++ glibc-2.3.2/sysdeps/unix/sysv/linux/configure.in	2004-07-05 12:18:07.995664571 +0200
+@@ -157,7 +157,7 @@
+ /usr | /usr/)
+   # 64-bit libraries on bi-arch platforms go in /lib64 instead of /lib
+   case $machine in
+-  sparc/sparc64 | x86_64 | powerpc/powerpc64 | s390/s390-64 | \
++  sparc/sparc64 | powerpc/powerpc64 | s390/s390-64 | \
+   mips/mips64/n64/* )
+     libc_cv_slibdir="/lib64"
+     if test "$libdir" = '${exec_prefix}/lib'; then


---------------------------------------
Received: (at 261082-close) by bugs.debian.org; 31 Jul 2004 19:51:31 +0000
>From katie@ftp-master.debian.org Sat Jul 31 12:51:31 2004
Return-path: <katie@ftp-master.debian.org>
Received: from newraff.debian.org [208.185.25.31] (mail)
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1BqztC-00043k-00; Sat, 31 Jul 2004 12:51:30 -0700
Received: from katie by newraff.debian.org with local (Exim 3.35 1 (Debian))
	id 1BqzpO-0001Ns-00; Sat, 31 Jul 2004 15:47:34 -0400
From: GOTO Masanori <gotom@debian.org>
To: 261082-close@bugs.debian.org
X-Katie: $Revision: 1.51 $
Subject: Bug#261082: fixed in glibc 2.3.2.ds1-14
Message-Id: <E1BqzpO-0001Ns-00@newraff.debian.org>
Sender: Archive Administrator <katie@ftp-master.debian.org>
Date: Sat, 31 Jul 2004 15:47:34 -0400
Delivered-To: 261082-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25
X-Spam-Level: 
X-CrossAssassin-Score: 28

Source: glibc
Source-Version: 2.3.2.ds1-14

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.2.ds1-14_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.2.ds1-14_all.deb
glibc_2.3.2.ds1-14.diff.gz
  to pool/main/g/glibc/glibc_2.3.2.ds1-14.diff.gz
glibc_2.3.2.ds1-14.dsc
  to pool/main/g/glibc/glibc_2.3.2.ds1-14.dsc
libc6-dbg_2.3.2.ds1-14_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.2.ds1-14_i386.deb
libc6-dev_2.3.2.ds1-14_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.2.ds1-14_i386.deb
libc6-i686_2.3.2.ds1-14_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.2.ds1-14_i386.deb
libc6-pic_2.3.2.ds1-14_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.2.ds1-14_i386.deb
libc6-prof_2.3.2.ds1-14_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.2.ds1-14_i386.deb
libc6-udeb_2.3.2.ds1-14_i386.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.2.ds1-14_i386.udeb
libc6_2.3.2.ds1-14_i386.deb
  to pool/main/g/glibc/libc6_2.3.2.ds1-14_i386.deb
libnss-dns-udeb_2.3.2.ds1-14_i386.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.2.ds1-14_i386.udeb
libnss-files-udeb_2.3.2.ds1-14_i386.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.2.ds1-14_i386.udeb
locales_2.3.2.ds1-14_all.deb
  to pool/main/g/glibc/locales_2.3.2.ds1-14_all.deb
nscd_2.3.2.ds1-14_i386.deb
  to pool/main/g/glibc/nscd_2.3.2.ds1-14_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 261082@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
GOTO Masanori <gotom@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 31 May 2004 23:43:29 +0900
Source: glibc
Binary: libc6-i686 libc0.3-pic glibc-doc libc1-udeb libc0.3 libc6.1-dev libc1-pic libc6-s390x libnss-files-udeb libc1-dbg libc6-dev-sparc64 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc6-sparcv9 libc6.1-prof libc1 locales libc6-pic libc0.3-udeb libc1-prof libc0.3-dbg libc6-prof libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc1-dev libc6-dev-s390x
Architecture: source i386 all
Version: 2.3.2.ds1-14
Distribution: unstable
Urgency: low
Maintainer: GOTO Masanori <gotom@debian.org>
Changed-By: GOTO Masanori <gotom@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries and Timezone data
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 158651 161340 189958 193278 193467 205084 208997 213159 213535 219145 222953 229273 229484 234691 239170 245563 246170 246270 246547 248192 251732 252284 253119 257658 257840 258956 259878 261082
Changes: 
 glibc (2.3.2.ds1-14) unstable; urgency=low
 .
   * GOTO Masanori <gotom@debian.org>
 .
     - debian/patches/glibc232-iconv-ucs2-unalign.dpatch: Add to fix
       iconv unalignment access with UCS-2BE/UCS-2LE on some architectures.
       (Closes: #234691)
     - debian/patches/locale-byn_ER.dpatch: Add to fix byn_ER localedef
       breakage.  Patched by Denis Barbier <barbier@linuxfr.org>.
       (Closes: #246270, #257658)
     - debian/patches/locales-supported.dpatch: Add no_NO.ISO-8859-1 into
       SUPPORTED.  (Closes: #246170)
     - debian/patches/glibc232-nptl-posix-timer.dpatch: Fix posix timer
       SIGEV_THREAD notification is broken.  (Closes: #259878)
     - debian/patches/glibc232-remove-vsyscall.dpatch: Remove __ASSUME_VSYSCALL
       to fix the system startup failure on the machine using PAX.
       (Closes: #245563)
     - debian/patches/90_glibc232-timezones.dpatch: Updated to tzcode2004b
       and tzdata2004b.
     - debian/patches/locale-eu_FR.dpatch: Add eu_FR and eu_FR@euro.
       Patched by Christian Perrier <bubulle@debian.org>.  (Closes: #257840)
     - debian/patches/locale-sr_CS.dpatch: Add sr_CS and sr_CS@cyrillic.
       Patched by Christian Perrier <bubulle@debian.org>.  But this patch is
       conflicted to sr_YU things - it's disabled for a while.
 .
     - debian/local/etc_init.d/nscd: Rewritten the whole script to make
       use of the initscript's method.  Patched by Thomas Hood
       <jdthood@aglu.demon.nl>.
       (Closes: #229273, #229484, #253119, #252284, #222953)
 .
     - debian/local/manpages/iconv.1: Add small description for `-c' and
       so on.  (Closes: #189958)
     - debian/local/manpages/rpcgen.1: Add -M option description.
       (Closes: #193467)
     - debian/po/de.po: Updated.  Patched by Helge Kreutzmann
       <kreutzm@itp.uni-hannover.de>.  (Closes: #251732)
 .
     - debian/debhelper.in/libc.postinst: Add apache-ssl and apache-perl to
       restart script.  Suggested by Daniel Jacobowitz <dan@debian.org>.
       (Closes: #208997)
     - debian/debhelper.in/libc.postinst: Add vsftpd to restart script.
       Suggested by Jeff Bailey <jbailey@nisa.net>.  (Closes: #213535)
     - debian/debhelper.in/libc.postinst: Add lpr-ppd.  Change init script
       name from lpr, lpr-ppd to lpd, lpd-ppd.  (Closes: #205084)
     - debian/debhelper.in/libc.postinst: Fix package detection failure when
       uninstalled package is encountered during NSS upgrade.
       (Closes: #193278)
     - debian/debhelper.in/libc.postinst: Add export LANG=C to work scripts
       correctly even if user sets locale environment variable.
     - debian/debhelper.in/libc.postinst: Change sleep time from 1 to 2.
       It's work-around fix, actual fix is start-stop-daemon --stop should
       check the process termination.  See: #211784.
 .
     - debian/local/usr_sbin/tzconfig: Fix typo: old_timezone vs oldtimezone.
       Reported by Kai Henningsen <kai@khms.westfalen.de>.  (Closes: #213159)
 .
     - debian/control.in/libc-dbg: Add Provides: libc-dbg for -dbg package.
       (Closes: #219145)
     - debian/control.in/libc, debian/control: likewise.
 .
     - /usr/bin/getconf and getconf.1 are moved from libc-dev to libc.
       (Closes: #239170)
     - debian/debhelper.in/libc-udeb.install: Add libutil* and libcrypt*
       to -udeb.  (Closes: #258956)
 .
     - Put amd64 port from Andreas Jochens.
       - debian/control: Updated.
       - debian/control.in: Modify Build-Depends: gcc-3.3 | gcc-3.4.
         glibc can build at least gcc-3.3 and later.  And this will make it
         possible to build glibc with gcc-3.4 when gcc-3.4 becomes the default
         on amd64 without changing glibc again.
       - debian/sysdeps/amd64.mk: Use workaround -g0 option when gcc-3.4 is
         used, because gcc-3.4 on amd64 with -g0 + nested functions are broken:
         http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=260710
 .
   * Andreas Jochens <aj@andaco.de>
 .
     - debian/rules.d/control.mk: Add amd64 at the appropriate places.
     - Add debian/patches/amd64-lib.dpatch to disable the biarch lib64 dir on
       amd64 and enable this patch in debian/patches/00list.  (Closes: #246547)
     - Add a new file debian/sysdeps/amd64.mk with GLIBC_PASSES += nptl
       (Closes: #248192)
     - debian/sysdeps/amd64.mk: Use gcc instead of gcc-3.3 on amd64.
     - debian/patches/fno-unit-at-a-time.dpatch: Add -fno-unit-at-a-time
       test to configure for amd64 + gcc-3.4.  (Closes: #261082)
 .
   * Jeff Bailey <jbailey@raspberryginger.com>
 .
     - debian/patches/syslog-locale.dpatch: Include patch from Jakub
       Jelinek to make sure syslogging happens in the C locale.
       Thanks to pere for catching this.  (Closes: #161340, #158651)
 .
     - debian/patches/hurd-string.dpatch: New file
     - debian/patches/00list.hurd-i386: Only load hurd-string on hurd-i386.
Files: 
 083acacadf22e186f4e7bc9fd3f3bc5a 1648 libs required glibc_2.3.2.ds1-14.dsc
 80996c6cefb493cd86c74dd46d8afb18 1755541 libs required glibc_2.3.2.ds1-14.diff.gz
 62ab4bdc28cca618e59d632391c53e44 3840192 doc optional glibc-doc_2.3.2.ds1-14_all.deb
 9bef72b4ac7ffeebcd8e74bd0d2c07f9 3980456 base standard locales_2.3.2.ds1-14_all.deb
 391ebd28e4827084c49e5efbb812e24e 4918702 base required libc6_2.3.2.ds1-14_i386.deb
 23971efa1b18621c2885d5eb85997f5d 2529506 libdevel standard libc6-dev_2.3.2.ds1-14_i386.deb
 30d160744b196ae37863a0304820eacc 2010902 libdevel extra libc6-prof_2.3.2.ds1-14_i386.deb
 52428200a7d7c9aa253babe4cfc73df8 1033508 libdevel optional libc6-pic_2.3.2.ds1-14_i386.deb
 88337553eae65fab038950a43267a975 972378 libs extra libc6-i686_2.3.2.ds1-14_i386.deb
 b0ff7cd33f4812ae2d941db36c760623 90204 admin optional nscd_2.3.2.ds1-14_i386.deb
 c9d63c4ed2d6534aa62fadfa7c088899 10240138 libdevel extra libc6-dbg_2.3.2.ds1-14_i386.deb
 4b67f4d567c77ff4c1fbca6788d7d293 718770 debian-installer extra libc6-udeb_2.3.2.ds1-14_i386.udeb
 6f29ea79c71f34913f4d67ae890851d3 7724 debian-installer extra libnss-dns-udeb_2.3.2.ds1-14_i386.udeb
 339c936260d5fb524f5232bd6dda36f8 13746 debian-installer extra libnss-files-udeb_2.3.2.ds1-14_i386.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBC+pEqIqasIZIJsMRAucAAJ9I7RZSgjCw89Ax6B3sP55pOzsuOgCfSIVV
EGbMmWajMjLrOQTM2R7Yupc=
=sYiT
-----END PGP SIGNATURE-----



Reply to: